> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coldsend.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook subscriptions

> List all webhook subscriptions for the API key's workspace.



## OpenAPI

````yaml /public_openapi.json get /api/public/v1/webhooks
openapi: 3.0.3
info:
  title: ColdSend Public API
  description: >-
    Programmatic access to ColdSend for managing cold email campaigns and sender
    accounts.
  version: 1.0.0
  contact:
    name: ColdSend Support
    email: support@coldsend.pro
    url: https://coldsend.pro
servers:
  - url: https://api.coldsend.pro
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/public/v1/webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhook subscriptions
      description: List all webhook subscriptions for the API key's workspace.
      operationId: list_webhooks_api_public_v1_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
components:
  schemas:
    WebhookListResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          items:
            $ref: '#/components/schemas/WebhookResponse'
          type: array
          title: Data
        count:
          type: integer
          title: Count
      type: object
      required:
        - data
        - count
      title: WebhookListResponse
      description: List of webhook subscriptions.
    WebhookResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        target_url:
          type: string
          title: Target Url
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        event_types:
          items:
            type: string
          type: array
          title: Event Types
        event_categories:
          items:
            type: string
          type: array
          nullable: true
          title: Event Categories
        campaign_id:
          type: string
          format: uuid
          nullable: true
          title: Campaign Id
        active:
          type: boolean
          title: Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - target_url
        - workspace_id
        - event_types
        - active
        - created_at
        - updated_at
      title: WebhookResponse
      description: Webhook subscription response.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with format cs_live_xxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.